<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_rekl',null,'index.php?'.SID);
adm_check();
if (isset($_GET['sel']) && is_numeric($_GET['sel']) && $_GET['sel']>0 && $_GET['sel']<=4){
$sel=intval($_GET['sel']);
$set['title']='Реклама';
include_once '../sys/inc/thead.php';
title();

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])){
$ch=intval($_POST['ch']);
$mn=intval($_POST['mn']);
$time_last=time()+$ch*$mn*60*60*24;

if (isset($_POST['dop_str']) && $_POST['dop_str']==1)
$dop_str=1;else $dop_str=0;
$link=stripcslashes(htmlspecialchars($_POST['link']));
$name=stripcslashes(htmlspecialchars($_POST['name']));
$img=stripcslashes(htmlspecialchars($_POST['img']));

mysql_query("INSERT INTO `rekl` (`time_last`, `name`, `img`, `link`, `sel`, `dop_str`) VALUES ('$time_last', '$name', '$img', '$link', '$sel', '$dop_str')");
msg('Рекламная ссылка добавлена');
}
elseif (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '".intval($_GET['set'])."'"),0)
&& isset($_POST['name']) && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])){
$rekl = mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `id` = '".intval($_GET['set'])."' LIMIT 1"));
$ch=intval($_POST['ch']);
$mn=intval($_POST['mn']);
if ($rekl['time_last']>time())
$time_last=$rekl['time_last']+$ch*$mn*60*60*24;
else
$time_last=time()+$ch*$mn*60*60*24;
$link=stripcslashes(htmlspecialchars($_POST['link']));
$name=stripcslashes(htmlspecialchars($_POST['name']));
$img=stripcslashes(htmlspecialchars($_POST['img']));
if (isset($_POST['dop_str']) && $_POST['dop_str']==1)
$dop_str=1;else $dop_str=0;
mysql_query("UPDATE `rekl` SET `time_last` = '$time_last', `name` = '$name', `link` = '$link', `img` = '$img', `dop_str` = '$dop_str' WHERE `id` = '".intval($_GET['set'])."'");
msg('Рекламная ссылка изменена');
}
elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '".intval($_GET['del'])."'"),0))
{
mysql_query("DELETE FROM `rekl` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
msg('Рекламная ссылка удалена');
}
err();
aut();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' ORDER BY `time_last` DESC LIMIT $start, $set[p_str]");

if ($k_post==0){
echo '<div class="block">Нет рекламы</div>';
}

while ($post = mysql_fetch_assoc($q)){
echo '<div class="block2">';
if ($post['img']==NULL){
echo ''.$post[name].'</br>';
}else{
echo '<a href="'.$post[img].'"><img width="100" src="'.$post[img].'"></a></br>';
}
if ($post['time_last']>time()){
echo 'Реклама действует до <b>'.vremja($post['time_last']).'</b></br>';
}else{
echo 'Срок действия истек</br>';
}
echo 'Ссылка: <b>'.$post[link].'</b></br>';
if ($post['img']!=NULL){
echo 'Картинка: <b>'.$post[img].'</b></br>';
}
if ($post['dop_str']==1){
echo 'Переходов: <b>'.$post[count].'</b>';
}
echo '</div>';
echo '<a class="link3" href="ads.php?sel='.$sel.'&amp;del='.$post[id].'&amp;page='.$page.'"><i class="material-icons icon">delete</i> Удалить рекламу</a>';

if (isset($_GET['set']) && $_GET['set']==$post['id']){
echo '<div class="block">';
echo '<form method="post" action="ads.php?sel='.$sel.'&amp;set='.$post[id].'&amp;page='.$page.'">';
echo 'Ссылка:</br>
<input class="input" type="text" name="link" value="'.$post[link].'">';
echo 'Название:</br>
<input class="input" type="text" name="name" value="'.$post[name].'">';
echo 'Картинка:</br>
<input class="input" type="text" name="img" value="'.$post[img].'">';
if ($post['time_last']>time()){
echo 'Продлить на:</br>';
}else{
echo 'Продлить до:</br>';
}
echo '<input class="input" type="text" name="ch" value="0" />';
echo '<select class="input" name="mn">
<option value="1" selected="selected">Дней</option>
<option value="7">Недель</option>
<option value="31">Месяцев</option>
</select>';
if ($post['dop_str']==1)$dop=' checked="checked"';else $dop=NULL;
echo '<label><input type="checkbox"'.$dop.' name="dop_str" value="1"> Дополнительная страница страница</label>';
echo '<input class="button" value="Применить" type="submit">';
echo '</form>';
echo '</div>';
echo '<a class="link3" href="ads.php?sel='.$sel.'&amp;page='.$page.'"><i class="material-icons icon">keyboard_arrow_left</i> Отмена</a>';
}
else
echo '<a class="link3" href="ads.php?sel='.$sel.'&amp;set='.$post[id].'&amp;page='.$page.'"><i class="material-icons icon">create</i> Изменить</a>';
}

//Вывод страниц
if ($k_page>1)str("ads.php?sel=$sel&amp;",$k_page,$page); 

echo '<div class="block">
<form method="post" action="ads.php?sel='.$sel.'&amp;add">
Название:</br>
<input class="input" type="text" name="name" value="">
Ссылка:</br>
<input class="input" type="text" name="link" value="">
Картинка:</br>
<input class="input" type="text" name="img" value="">
Срок действия:</br>
<input class="input" type="text\" name="ch" value="1" />
<select class="input" name="mn">
<option value="1" selected="selected">Дней</option>
<option value="7">Недель</option>
<option value="31">Месяцев</option>
</select>
<label><input type="checkbox" checked="checked" name="dop_str" value="1" /> Дополнительная страница</label>
<input class="button" value="Добавить" type="submit">
</form>
</div>';

if (user_access('adm_panel_show')){
echo '<a class="link3" href="/adm_panel/"><i class="material-icons icon">keyboard_arrow_left</i> Админ панель</a>';
}

include_once '../sys/inc/tfoot.php';
}

$set['title']='Реклама';
include_once '../sys/inc/thead.php';
title();
err();
aut();

echo '<a class="link3" href="ads.php?sel=3"><i class="material-icons icon">grade</i> Низ сайта (главная)</a>';
echo '<a class="link3" href="ads.php?sel=4"><i class="material-icons icon">grade</i> Низ сайта (остальные)</a>';

if (user_access('adm_panel_show')){
echo '<a class="link3" href="/adm_panel/"><i class="material-icons icon">keyboard_arrow_left</i> Админ панель</a>';
}

include_once '../sys/inc/tfoot.php';

?>